onEvent('recipes', event => {
    //removals
    removeRecipeByID(event, [
        IF("mob_slaughter_factory"),
        IF("dissolution_chamber/infinity_hammer"),
        IF("dissolution_chamber/infinity_drill"),
        IF("dissolution_chamber/infinity_saw"),
        IF("dissolution_chamber/infinity_trident"),
        IF("dissolution_chamber/infinity_backpack"),
    ])



    //mob slaughter factory
    event.shaped(IF("mob_slaughter_factory"), [
		'PGP',
		'SFS',
		'ATA'
	], {
		P: IF("plastic"),
		G: F("#gears/gold"),
		S: MC("iron_sword"),
        F: IF("machine_frame_simple"),
        A: MC("iron_axe"),
        T: KJ("calculation_mechanism")
	})

    //mechanical dirt
    event.replaceInput({ id: IF("dissolution_chamber/mechanical_dirt") }, IF("machine_frame_pity"), IF("machine_frame_simple"))
    event.replaceInput({ id: IF("dissolution_chamber/mechanical_dirt") }, MC("dirt"), MU("cursed_earth"))

    //infinity hammer
    event.custom({
        input: [
          { item: MC("diamond_block") },
          { item: MC("diamond_block") },
          { item: MC("diamond_block") },
          { item: PRE("rm_sword") },
          { item: IF("range_addon11") },
          { tag: F("gears/gold") },
          { tag: F("gears/gold") },
          { tag: F("gears/gold") }
        ],
        inputFluid: "{FluidName:\"industrialforegoing:pink_slime\",Amount:2000}",
        processingTime: 400,
        output: {
          item: IF("infinity_hammer"),
          count: 1
        },
        type: IF("dissolution_chamber")
    })

    //infinity drill
    event.custom({
        input: [
          { item: MC("diamond_block") },
          { item: MC("diamond_block") },
          { item: MC("diamond_block") },
          { item: PRE("rm_pick") },
          { item: IF("range_addon11") },
          { tag: F("gears/gold") },
          { tag: F("gears/gold") },
          { tag: F("gears/gold") }
        ],
        inputFluid: "{FluidName:\"industrialforegoing:pink_slime\",Amount:2000}",
        processingTime: 400,
        output: {
          item: IF("infinity_drill"),
          count: 1
        },
        type: IF("dissolution_chamber")
    })

    //infinity saw
    event.custom({
        input: [
          { item: MC("diamond_block") },
          { item: MC("diamond_block") },
          { item: MC("diamond_block") },
          { item: PRE("rm_axe") },
          { item: IF("range_addon11") },
          { tag: F("gears/gold") },
          { tag: F("gears/gold") },
          { tag: F("gears/gold") }
        ],
        inputFluid: "{FluidName:\"industrialforegoing:pink_slime\",Amount:2000}",
        processingTime: 400,
        output: {
          item: IF("infinity_saw"),
          count: 1
        },
        type: IF("dissolution_chamber")
    })

    //infinity trident
    event.custom({
        input: [
          { item: MC("diamond_block") },
          { item: MC("diamond_block") },
          { item: MC("diamond_block") },
          { item: PREXT("red_matter_trident") },
          { item: IF("range_addon11") },
          { tag: F("gears/gold") },
          { tag: F("gears/gold") },
          { tag: F("gears/gold") }
        ],
        inputFluid: "{FluidName:\"industrialforegoing:pink_slime\",Amount:2000}",
        processingTime: 400,
        output: {
          item: IF("infinity_trident"),
          count: 1
        },
        type: IF("dissolution_chamber")
    })

    //infinity backpack
    event.custom({
      input: [
        { item: IF("common_black_hole_unit") },
        { item: "sophisticatedbackpacks:netherite_backpack" },
        { item: IF("common_black_hole_unit") },
        { item: IF("common_black_hole_tank") },
        { item: IF("common_black_hole_tank") },
        { tag: F("gears/gold") },
        { tag: F("gears/gold") },
        { tag: F("gears/gold") }
      ],
      inputFluid: "{FluidName:\"industrialforegoing:pink_slime\",Amount:2000}",
      processingTime: 400,
      output: {
        item: IF("infinity_backpack"),
        count: 1
      },
      type: IF("dissolution_chamber")
    })
})